GET

behaviourevents API

Retrieve and manage behaviourevents records from the Apps4Edu sync database.

Endpoint Path

GET /api/behaviourevents

CURL Example

curl "https://api.apps4education.co.uk/api/behaviourevents?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
eventID int
eventName varchar
commentsRequired tinyint
adminUseOnly tinyint
eventDescription text
attendanceMark int
attendancePeriod int
protected tinyint
eventTypeID int
startDate datetime
endDate datetime
excludeFromReportTotals tinyint
outcomeRequired tinyint
eventGroupID int
detentionTypeId int
created_at timestamp
updated_at timestamp
school_id bigint

Response Body (Sample)

{
  "data": [
    {
      "eventID": 101,
      "eventName": "example_value",
      "commentsRequired": "example_value",
      "adminUseOnly": "example_value",
      "eventDescription": "example_value",
      "attendanceMark": "example_value",
      "attendancePeriod": "example_value",
      "protected": "example_value",
      "eventTypeID": 101,
      "startDate": "example_value",
      "endDate": "example_value",
      "excludeFromReportTotals": "example_value",
      "outcomeRequired": "example_value",
      "eventGroupID": 101,
      "detentionTypeId": "example_value",
      "created_at": "example_value",
      "updated_at": "example_value",
      "school_id": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

school

Optional. A Bromcom school ID to restrict rows to one school.

page

Optional. Defaults to 1. Used to navigate through paginated results.

per_page

Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.